Runtime

## org.eclipse.gmf.runtime.common.ui.services.dnd.ide.drag
Class ResourceDragSourceListener

    java.lang.Object
      org.eclipse.swt.dnd.DragSourceAdapter
          org.eclipse.ui.views.navigator.NavigatorDragAdapter
              org.eclipse.gmf.runtime.common.ui.services.dnd.ide.drag.ResourceDragSourceListener

All Implemented Interfaces:
  java.util.EventListener, IDragSourceListener, DragSourceListener, org.eclipse.swt.internal.SWTEventListener

    public class ResourceDragSourceListener

extends NavigatorDragAdapter
implements IDragSourceListener

Concrete class that implements the IDragSourceListener. This class handles dragging files and folder elements.

Constructor Summary
`ResourceDragSourceListener(ISelectionProvider provider)` Constructs a new drag listener.

Method Summary
`java.lang.String[]` `getSupportingTransferIds()` Returns the supporting transfer agent ids.
`boolean` `isDraggable(IDragSourceContext context)` Determines if the selection in the context is draggable.

Methods inherited from class org.eclipse.ui.views.navigator.NavigatorDragAdapter
`dragFinished, dragSetData, dragStart`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.swt.dnd.DragSourceListener
`dragFinished, dragSetData, dragStart`

Constructor Detail

### ResourceDragSourceListener

    public ResourceDragSourceListener(ISelectionProvider provider)

  Constructs a new drag listener.

  Parameters:
    `provider` - the selection provider

Method Detail

### isDraggable

    public boolean isDraggable(IDragSourceContext context)

  Description copied from interface: `IDragSourceListener`
  Determines if the selection in the context is draggable. This method is invoked when the drag starts

  Specified by:
    `isDraggable` in interface `IDragSourceListener`
  Parameters:
    `context` - The context associated with the drag source
  Returns:
    true if the drag allowed and false otherwise.

### getSupportingTransferIds

    public java.lang.String[] getSupportingTransferIds()

  Description copied from interface: `IDragSourceListener`
  Returns the supporting transfer agent ids.

  Specified by:
    `getSupportingTransferIds` in interface `IDragSourceListener`
  Returns:
    return the supporting transfer agent ids

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.